#Castle west throneroom barrier #3
from eventAPI import *
from APIUtils import *

rtcBarrierFlag3=0

def fireEvent(e):
   global rtcBarrierFlag3
   rtcBarrierFlag3 = getTag(e, "rtcBarrierFlag3")
   if (rtcBarrierFlag3 == 1):
      return 1
   else:
      showPicture(e, "Red_Vortex")
      showMessage(e, ["You are stopped short by a strange barrier.  There does not appear to be any way past it."], optionInput)
      return 0
